
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;triac.mbas,119 :: 		sub procedure interrupt
;triac.mbas,120 :: 		if INTE_bit = 1 then
	BTFSS      INTE_bit+0, BitPos(INTE_bit+0)
	GOTO       L__interrupt2
;triac.mbas,122 :: 		if INTF_bit = 1 then
	BTFSS      INTF_bit+0, BitPos(INTF_bit+0)
	GOTO       L__interrupt5
;triac.mbas,123 :: 		if sw_mode = MODE_MOTOR then
	MOVF       _sw_mode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt8
;triac.mbas,124 :: 		TMR1H = tmr_high
	MOVF       _tmr_high+0, 0
	MOVWF      TMR1H+0
;triac.mbas,125 :: 		TMR1L = tmr_low
	MOVF       _tmr_low+0, 0
	MOVWF      TMR1L+0
;triac.mbas,126 :: 		TMR1IE_bit = 1
	BSF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;triac.mbas,127 :: 		TMR1IF_bit = 0
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	GOTO       L__interrupt9
;triac.mbas,128 :: 		else
L__interrupt8:
;triac.mbas,129 :: 		if (duty <> 0) and (duty <> 100) then
	MOVF       _duty+0, 0
	XORLW      0
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _duty+0, 0
	XORLW      100
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt11
;triac.mbas,130 :: 		if mode_cycle = ON_CYCLE then
	MOVF       _mode_cycle+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt14
;triac.mbas,131 :: 		TMR0 = 252     ' overflow 200usec
	MOVLW      252
	MOVWF      TMR0+0
;triac.mbas,132 :: 		TRIAC_PORT = TRIAC_ON
	BSF        RB1_bit+0, BitPos(RB1_bit+0)
;triac.mbas,133 :: 		TMR0IE_bit = 1
	BSF        TMR0IE_bit+0, BitPos(TMR0IE_bit+0)
;triac.mbas,134 :: 		TMR0IF_bit = 0
	BCF        TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
L__interrupt14:
;triac.mbas,136 :: 		cycle_counter = cycle_counter - 1
	DECF       _cycle_counter+0, 1
;triac.mbas,137 :: 		if cycle_counter = 0 then
	MOVF       _cycle_counter+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt17
;triac.mbas,138 :: 		if mode_cycle = ON_CYCLE then
	MOVF       _mode_cycle+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt20
;triac.mbas,139 :: 		mode_cycle = OFF_CYCLE
	MOVLW      1
	MOVWF      _mode_cycle+0
;triac.mbas,140 :: 		cycle_counter = off_count
	MOVF       _off_count+0, 0
	MOVWF      _cycle_counter+0
	GOTO       L__interrupt21
;triac.mbas,141 :: 		else
L__interrupt20:
;triac.mbas,142 :: 		mode_cycle = ON_CYCLE
	CLRF       _mode_cycle+0
;triac.mbas,143 :: 		cycle_counter = on_count
	MOVF       _on_count+0, 0
	MOVWF      _cycle_counter+0
;triac.mbas,144 :: 		end if
L__interrupt21:
L__interrupt17:
;triac.mbas,145 :: 		end if
L__interrupt11:
;triac.mbas,147 :: 		end if
L__interrupt9:
;triac.mbas,148 :: 		INTF_bit   = 0
	BCF        INTF_bit+0, BitPos(INTF_bit+0)
L__interrupt5:
;triac.mbas,152 :: 		if ( TMR1IF_bit = 1 ) and ( TMR1IE_bit = 1 )then
	BTFSC      TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	GOTO       L__interrupt321
	BCF        114, 0
	GOTO       L__interrupt322
L__interrupt321:
	BSF        114, 0
L__interrupt322:
	BTFSC      TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
	GOTO       L__interrupt323
	BCF        3, 0
	GOTO       L__interrupt324
L__interrupt323:
	BSF        3, 0
L__interrupt324:
	BTFSS      114, 0
	GOTO       L__interrupt325
	BTFSS      3, 0
	GOTO       L__interrupt325
	BSF        114, 0
	GOTO       L__interrupt326
L__interrupt325:
	BCF        114, 0
L__interrupt326:
	BTFSS      114, 0
	GOTO       L__interrupt23
;triac.mbas,153 :: 		TMR0 = 252     ' overflow 200usec
	MOVLW      252
	MOVWF      TMR0+0
;triac.mbas,154 :: 		TRIAC_PORT = TRIAC_ON
	BSF        RB1_bit+0, BitPos(RB1_bit+0)
;triac.mbas,155 :: 		TMR0IE_bit = 1
	BSF        TMR0IE_bit+0, BitPos(TMR0IE_bit+0)
;triac.mbas,156 :: 		TMR0IF_bit = 0
	BCF        TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
;triac.mbas,157 :: 		TMR1IE_bit = 0
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;triac.mbas,158 :: 		TMR1IF_bit = 0
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
L__interrupt23:
;triac.mbas,162 :: 		if ( TMR0IF_bit = 1 ) and ( TMR0IE_bit = 1 )then
	BTFSC      TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
	GOTO       L__interrupt327
	BCF        114, 0
	GOTO       L__interrupt328
L__interrupt327:
	BSF        114, 0
L__interrupt328:
	BTFSC      TMR0IE_bit+0, BitPos(TMR0IE_bit+0)
	GOTO       L__interrupt329
	BCF        3, 0
	GOTO       L__interrupt330
L__interrupt329:
	BSF        3, 0
L__interrupt330:
	BTFSS      114, 0
	GOTO       L__interrupt331
	BTFSS      3, 0
	GOTO       L__interrupt331
	BSF        114, 0
	GOTO       L__interrupt332
L__interrupt331:
	BCF        114, 0
L__interrupt332:
	BTFSS      114, 0
	GOTO       L__interrupt26
;triac.mbas,163 :: 		TRIAC_PORT = TRIAC_OFF
	BCF        RB1_bit+0, BitPos(RB1_bit+0)
;triac.mbas,164 :: 		TMR0IE_bit = 0
	BCF        TMR0IE_bit+0, BitPos(TMR0IE_bit+0)
;triac.mbas,165 :: 		TMR0IF_bit = 0
	BCF        TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
L__interrupt26:
;triac.mbas,166 :: 		end if
	GOTO       L__interrupt3
;triac.mbas,167 :: 		else
L__interrupt2:
;triac.mbas,168 :: 		TMR1IF_bit = 0
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;triac.mbas,169 :: 		TMR0IF_bit = 0
	BCF        TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
;triac.mbas,170 :: 		end if
L__interrupt3:
;triac.mbas,173 :: 		if TMR2IF_bit = 1 then
	BTFSS      TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	GOTO       L__interrupt29
;triac.mbas,175 :: 		case 1
	MOVF       _led_pos+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt34
;triac.mbas,176 :: 		DIG3_PORT = LED_OFF
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;triac.mbas,177 :: 		SEG_PORT  = led_val1
	MOVF       _led_val1+0, 0
	MOVWF      PORTC+0
;triac.mbas,178 :: 		DIG1_PORT = LED_ON
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;triac.mbas,179 :: 		led_pos = 2
	MOVLW      2
	MOVWF      _led_pos+0
	GOTO       L__interrupt31
L__interrupt34:
;triac.mbas,180 :: 		case 2
	MOVF       _led_pos+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt37
;triac.mbas,181 :: 		DIG1_PORT = LED_OFF
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;triac.mbas,182 :: 		SEG_PORT  = led_val2
	MOVF       _led_val2+0, 0
	MOVWF      PORTC+0
;triac.mbas,183 :: 		DIG2_PORT = LED_ON
	BCF        RA2_bit+0, BitPos(RA2_bit+0)
;triac.mbas,184 :: 		led_pos = 3
	MOVLW      3
	MOVWF      _led_pos+0
	GOTO       L__interrupt31
L__interrupt37:
;triac.mbas,185 :: 		case 3
	MOVF       _led_pos+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt40
;triac.mbas,186 :: 		DIG2_PORT = LED_OFF
	BSF        RA2_bit+0, BitPos(RA2_bit+0)
;triac.mbas,187 :: 		SEG_PORT  = led_val3
	MOVF       _led_val3+0, 0
	MOVWF      PORTC+0
;triac.mbas,188 :: 		DIG3_PORT = LED_ON
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;triac.mbas,189 :: 		led_pos = 1
	MOVLW      1
	MOVWF      _led_pos+0
	GOTO       L__interrupt31
L__interrupt40:
L__interrupt31:
;triac.mbas,192 :: 		if 0 < msec_counter then
	MOVF       _msec_counter+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt333
	MOVF       _msec_counter+0, 0
	SUBLW      0
L__interrupt333:
	BTFSC      STATUS+0, 0
	GOTO       L__interrupt42
;triac.mbas,193 :: 		msec_counter = msec_counter - 1
	MOVLW      1
	SUBWF      _msec_counter+0, 1
	BTFSS      STATUS+0, 0
	DECF       _msec_counter+1, 1
	GOTO       L__interrupt43
;triac.mbas,194 :: 		else
L__interrupt42:
;triac.mbas,195 :: 		msec_counter = 1000
	MOVLW      232
	MOVWF      _msec_counter+0
	MOVLW      3
	MOVWF      _msec_counter+1
;triac.mbas,196 :: 		tick = true
	MOVLW      255
	MOVWF      _tick+0
;triac.mbas,197 :: 		end if
L__interrupt43:
;triac.mbas,198 :: 		TMR2IF_bit = 0   ' Clear interrupt flag
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
L__interrupt29:
;triac.mbas,200 :: 		end sub
L_end_interrupt:
L__interrupt320:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_decode_number:

;triac.mbas,205 :: 		sub function decode_number(dim num as byte) as byte
;triac.mbas,207 :: 		case 0 result = Digit_0
	MOVF       FARG_decode_number_num+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number48
	MOVLW      192
	MOVWF      R1+0
	GOTO       L__decode_number45
L__decode_number48:
;triac.mbas,208 :: 		case 1 result = Digit_1
	MOVF       FARG_decode_number_num+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number51
	MOVLW      249
	MOVWF      R1+0
	GOTO       L__decode_number45
L__decode_number51:
;triac.mbas,209 :: 		case 2 result = Digit_2
	MOVF       FARG_decode_number_num+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number54
	MOVLW      164
	MOVWF      R1+0
	GOTO       L__decode_number45
L__decode_number54:
;triac.mbas,210 :: 		case 3 result = Digit_3
	MOVF       FARG_decode_number_num+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number57
	MOVLW      176
	MOVWF      R1+0
	GOTO       L__decode_number45
L__decode_number57:
;triac.mbas,211 :: 		case 4 result = Digit_4
	MOVF       FARG_decode_number_num+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number60
	MOVLW      153
	MOVWF      R1+0
	GOTO       L__decode_number45
L__decode_number60:
;triac.mbas,212 :: 		case 5 result = Digit_5
	MOVF       FARG_decode_number_num+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number63
	MOVLW      146
	MOVWF      R1+0
	GOTO       L__decode_number45
L__decode_number63:
;triac.mbas,213 :: 		case 6 result = Digit_6
	MOVF       FARG_decode_number_num+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number66
	MOVLW      130
	MOVWF      R1+0
	GOTO       L__decode_number45
L__decode_number66:
;triac.mbas,214 :: 		case 7 result = Digit_7
	MOVF       FARG_decode_number_num+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number69
	MOVLW      248
	MOVWF      R1+0
	GOTO       L__decode_number45
L__decode_number69:
;triac.mbas,215 :: 		case 8 result = Digit_8
	MOVF       FARG_decode_number_num+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number72
	MOVLW      128
	MOVWF      R1+0
	GOTO       L__decode_number45
L__decode_number72:
;triac.mbas,216 :: 		case 9 result = Digit_9
	MOVF       FARG_decode_number_num+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__decode_number75
	MOVLW      144
	MOVWF      R1+0
	GOTO       L__decode_number45
L__decode_number75:
L__decode_number45:
;triac.mbas,218 :: 		end sub
	MOVF       R1+0, 0
	MOVWF      R0+0
L_end_decode_number:
	RETURN
; end of _decode_number

_display_number:

;triac.mbas,226 :: 		dim tmp_led3 as byte
;triac.mbas,228 :: 		tmp_led3 = decode_number( num mod 10 )
	MOVLW      10
	MOVWF      R4+0
	MOVF       FARG_display_number_num+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      FARG_decode_number_num+0
	CALL       _decode_number+0
	MOVF       R0+0, 0
	MOVWF      display_number_tmp_led3+0
;triac.mbas,229 :: 		num = num / 10
	MOVLW      10
	MOVWF      R4+0
	MOVF       FARG_display_number_num+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      FARG_display_number_num+0
;triac.mbas,230 :: 		tmp_led2 = decode_number( num mod 10 )
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      FARG_decode_number_num+0
	CALL       _decode_number+0
	MOVF       R0+0, 0
	MOVWF      display_number_tmp_led2+0
;triac.mbas,231 :: 		num = num / 10
	MOVLW      10
	MOVWF      R4+0
	MOVF       FARG_display_number_num+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      FARG_display_number_num+0
;triac.mbas,232 :: 		tmp_led1 = decode_number( num )
	MOVF       R0+0, 0
	MOVWF      FARG_decode_number_num+0
	CALL       _decode_number+0
	MOVF       R0+0, 0
	MOVWF      display_number_tmp_led1+0
;triac.mbas,234 :: 		if (tmp_led1 = Digit_0) and (tmp_led2 = Digit_0) then
	MOVF       R0+0, 0
	XORLW      192
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       display_number_tmp_led2+0, 0
	XORLW      192
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__display_number78
;triac.mbas,235 :: 		tmp_led2 = Digit_NON
	MOVLW      255
	MOVWF      display_number_tmp_led2+0
L__display_number78:
;triac.mbas,237 :: 		if tmp_led1 = Digit_0 then
	MOVF       display_number_tmp_led1+0, 0
	XORLW      192
	BTFSS      STATUS+0, 2
	GOTO       L__display_number81
;triac.mbas,238 :: 		tmp_led1 = Digit_NON
	MOVLW      255
	MOVWF      display_number_tmp_led1+0
L__display_number81:
;triac.mbas,241 :: 		led_val1 = tmp_led1
	MOVF       display_number_tmp_led1+0, 0
	MOVWF      _led_val1+0
;triac.mbas,242 :: 		led_val2 = tmp_led2
	MOVF       display_number_tmp_led2+0, 0
	MOVWF      _led_val2+0
;triac.mbas,243 :: 		led_val3 = tmp_led3
	MOVF       display_number_tmp_led3+0, 0
	MOVWF      _led_val3+0
;triac.mbas,244 :: 		end sub
L_end_display_number:
	RETURN
; end of _display_number

_display_mode:

;triac.mbas,249 :: 		sub procedure display_mode( dim mode as byte )
;triac.mbas,251 :: 		case MODE_MOTOR
	MOVF       FARG_display_mode_mode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__display_mode87
;triac.mbas,252 :: 		led_val1 = Digit_MINUS
	MOVLW      191
	MOVWF      _led_val1+0
;triac.mbas,253 :: 		led_val2 = Digit_0
	MOVLW      192
	MOVWF      _led_val2+0
;triac.mbas,254 :: 		led_val3 = Digit_MINUS
	MOVLW      191
	MOVWF      _led_val3+0
	GOTO       L__display_mode84
L__display_mode87:
;triac.mbas,255 :: 		case MODE_HEATER
	MOVF       FARG_display_mode_mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__display_mode90
;triac.mbas,256 :: 		led_val1 = Digit_H
	MOVLW      137
	MOVWF      _led_val1+0
;triac.mbas,257 :: 		led_val2 = Digit_E
	MOVLW      134
	MOVWF      _led_val2+0
;triac.mbas,258 :: 		led_val3 = Digit_A
	MOVLW      136
	MOVWF      _led_val3+0
	GOTO       L__display_mode84
L__display_mode90:
;triac.mbas,259 :: 		case MODE_SOLDER
	MOVF       FARG_display_mode_mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__display_mode93
;triac.mbas,260 :: 		led_val1 = Digit_5
	MOVLW      146
	MOVWF      _led_val1+0
;triac.mbas,261 :: 		led_val2 = Digit_0
	MOVLW      192
	MOVWF      _led_val2+0
;triac.mbas,262 :: 		led_val3 = Digit_L
	MOVLW      199
	MOVWF      _led_val3+0
	GOTO       L__display_mode84
L__display_mode93:
L__display_mode84:
;triac.mbas,264 :: 		end sub
L_end_display_mode:
	RETURN
; end of _display_mode

_rotary_encoder:

;triac.mbas,274 :: 		dim temp_B as byte
;triac.mbas,276 :: 		temp_A = ENCODER_A_PORT
	MOVLW      0
	BTFSC      RB5_bit+0, BitPos(RB5_bit+0)
	MOVLW      1
	MOVWF      R3+0
;triac.mbas,277 :: 		temp_B = ENCODER_B_PORT
	MOVLW      0
	BTFSC      RB4_bit+0, BitPos(RB4_bit+0)
	MOVLW      1
	MOVWF      R4+0
;triac.mbas,279 :: 		result = ENCODER_STOP
	CLRF       R2+0
;triac.mbas,281 :: 		if (Rotary_Enc_A = 1) and (temp_A = 0) and (temp_B = 1) then
	MOVF       _Rotary_Enc_A+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R3+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	MOVF       R4+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__rotary_encoder96
;triac.mbas,282 :: 		Rotary_Stat   = CW
	MOVLW      1
	MOVWF      _Rotary_Stat+0
;triac.mbas,283 :: 		Rotary_A_Lock = True
	MOVLW      255
	MOVWF      _Rotary_A_Lock+0
L__rotary_encoder96:
;triac.mbas,285 :: 		if Rotary_A_Lock = True then
	MOVF       _Rotary_A_Lock+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__rotary_encoder99
;triac.mbas,286 :: 		if (temp_A = 0) and (temp_B = 0) then
	MOVF       R3+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R4+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__rotary_encoder102
;triac.mbas,287 :: 		result = Rotary_Stat
	MOVF       _Rotary_Stat+0, 0
	MOVWF      R2+0
;triac.mbas,288 :: 		Rotary_A_Lock = False
	CLRF       _Rotary_A_Lock+0
L__rotary_encoder102:
;triac.mbas,289 :: 		end if
L__rotary_encoder99:
;triac.mbas,292 :: 		if (Rotary_Enc_B = 1) and (temp_B = 0) and (temp_A = 1) then
	MOVF       _Rotary_Enc_B+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R4+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	MOVF       R3+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__rotary_encoder105
;triac.mbas,293 :: 		Rotary_Stat   = CCW
	MOVLW      2
	MOVWF      _Rotary_Stat+0
;triac.mbas,294 :: 		Rotary_B_Lock = True
	MOVLW      255
	MOVWF      _Rotary_B_Lock+0
L__rotary_encoder105:
;triac.mbas,296 :: 		if Rotary_B_Lock = True then
	MOVF       _Rotary_B_Lock+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L__rotary_encoder108
;triac.mbas,297 :: 		if (temp_A = 0) and (temp_B = 0) then
	MOVF       R3+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R4+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__rotary_encoder111
;triac.mbas,298 :: 		result = Rotary_Stat
	MOVF       _Rotary_Stat+0, 0
	MOVWF      R2+0
;triac.mbas,299 :: 		Rotary_B_Lock = False
	CLRF       _Rotary_B_Lock+0
L__rotary_encoder111:
;triac.mbas,300 :: 		end if
L__rotary_encoder108:
;triac.mbas,303 :: 		Rotary_Enc_A = temp_A
	MOVF       R3+0, 0
	MOVWF      _Rotary_Enc_A+0
;triac.mbas,304 :: 		Rotary_Enc_B = temp_B
	MOVF       R4+0, 0
	MOVWF      _Rotary_Enc_B+0
;triac.mbas,305 :: 		end sub
	MOVF       R2+0, 0
	MOVWF      R0+0
L_end_rotary_encoder:
	RETURN
; end of _rotary_encoder

_calc_tmr:

;triac.mbas,314 :: 		dim acos_index as byte
;triac.mbas,316 :: 		if freq = 50 then
	MOVF       FARG_calc_tmr_freq+0, 0
	XORLW      50
	BTFSS      STATUS+0, 2
	GOTO       L__calc_tmr115
;triac.mbas,317 :: 		period = 50000  ' 50Hz
	MOVLW      80
	MOVWF      calc_tmr_period+0
	MOVLW      195
	MOVWF      calc_tmr_period+1
	CLRF       calc_tmr_period+2
	CLRF       calc_tmr_period+3
	GOTO       L__calc_tmr116
;triac.mbas,318 :: 		else
L__calc_tmr115:
;triac.mbas,319 :: 		period = 41666  ' 60Hz
	MOVLW      194
	MOVWF      calc_tmr_period+0
	MOVLW      162
	MOVWF      calc_tmr_period+1
	CLRF       calc_tmr_period+2
	CLRF       calc_tmr_period+3
;triac.mbas,320 :: 		end if
L__calc_tmr116:
;triac.mbas,322 :: 		acos_index = duty / 5
	MOVLW      5
	MOVWF      R4+0
	MOVF       FARG_calc_tmr_duty+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
;triac.mbas,323 :: 		tmr_value = 0xFFFF - ( period - ( period * ACRV[acos_index] / 1000 ) )
	MOVF       R0+0, 0
	MOVWF      R2+0
	CLRF       R2+1
	RLF        R2+0, 1
	RLF        R2+1, 1
	BCF        R2+0, 0
	MOVF       R2+0, 0
	ADDLW      _ACRV+0
	MOVWF      R0+0
	MOVLW      hi_addr(_ACRV+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R2+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	INCF       ___DoICPAddr+0, 1
	BTFSC      STATUS+0, 2
	INCF       ___DoICPAddr+1, 1
	CALL       _____DoICP+0
	MOVWF      R0+1
	MOVLW      0
	MOVWF      R0+2
	MOVWF      R0+3
	MOVF       calc_tmr_period+0, 0
	MOVWF      R4+0
	MOVF       calc_tmr_period+1, 0
	MOVWF      R4+1
	MOVF       calc_tmr_period+2, 0
	MOVWF      R4+2
	MOVF       calc_tmr_period+3, 0
	MOVWF      R4+3
	CALL       _Mul_32x32_U+0
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_U+0
	MOVF       calc_tmr_period+0, 0
	MOVWF      R4+0
	MOVF       calc_tmr_period+1, 0
	MOVWF      R4+1
	MOVF       calc_tmr_period+2, 0
	MOVWF      R4+2
	MOVF       calc_tmr_period+3, 0
	MOVWF      R4+3
	MOVF       R0+0, 0
	SUBWF      R4+0, 1
	MOVF       R0+1, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R0+1, 0
	SUBWF      R4+1, 1
	MOVF       R0+2, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R0+2, 0
	SUBWF      R4+2, 1
	MOVF       R0+3, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R0+3, 0
	SUBWF      R4+3, 1
	MOVLW      255
	MOVWF      R0+0
	MOVLW      255
	MOVWF      R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVF       R0+0, 0
	MOVWF      calc_tmr_tmr_value+0
	MOVF       R0+1, 0
	MOVWF      calc_tmr_tmr_value+1
	MOVF       R0+2, 0
	MOVWF      calc_tmr_tmr_value+2
	MOVF       R0+3, 0
	MOVWF      calc_tmr_tmr_value+3
	MOVF       R4+0, 0
	SUBWF      calc_tmr_tmr_value+0, 1
	MOVF       R4+1, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R4+1, 0
	SUBWF      calc_tmr_tmr_value+1, 1
	MOVF       R4+2, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R4+2, 0
	SUBWF      calc_tmr_tmr_value+2, 1
	MOVF       R4+3, 0
	BTFSS      STATUS+0, 0
	INCFSZ     R4+3, 0
	SUBWF      calc_tmr_tmr_value+3, 1
;triac.mbas,325 :: 		tmr_low  = Lo( tmr_value )
	MOVF       calc_tmr_tmr_value+0, 0
	MOVWF      _tmr_low+0
;triac.mbas,326 :: 		tmr_high = Hi( tmr_value )
	MOVF       calc_tmr_tmr_value+1, 0
	MOVWF      _tmr_high+0
;triac.mbas,327 :: 		end sub
L_end_calc_tmr:
	RETURN
; end of _calc_tmr

_main:

;triac.mbas,337 :: 		dim period    as word
;triac.mbas,339 :: 		TRIAC_PORT = 0
	BCF        RB1_bit+0, BitPos(RB1_bit+0)
;triac.mbas,340 :: 		duty = 0
	CLRF       _duty+0
;triac.mbas,341 :: 		soldering_timer = 0
	CLRF       _soldering_timer+0
;triac.mbas,342 :: 		sw_mode = MODE_MOTOR
	CLRF       _sw_mode+0
;triac.mbas,344 :: 		SEG_TRIS        = PORT_OUTPUT
	CLRF       TRISC+0
;triac.mbas,345 :: 		DIG1_TRIS       = PORT_OUTPUT
	BCF        TRISA3_bit+0, BitPos(TRISA3_bit+0)
;triac.mbas,346 :: 		DIG2_TRIS       = PORT_OUTPUT
	BCF        TRISA2_bit+0, BitPos(TRISA2_bit+0)
;triac.mbas,347 :: 		DIG3_TRIS       = PORT_OUTPUT
	BCF        TRISA1_bit+0, BitPos(TRISA1_bit+0)
;triac.mbas,348 :: 		TRIAC_TRIS      = PORT_OUTPUT
	BCF        TRISB1_bit+0, BitPos(TRISB1_bit+0)
;triac.mbas,349 :: 		ENCODER_A_TRIS  = PORT_INPUT
	BSF        TRISB5_bit+0, BitPos(TRISB5_bit+0)
;triac.mbas,350 :: 		ENCODER_B_TRIS  = PORT_INPUT
	BSF        TRISB4_bit+0, BitPos(TRISB4_bit+0)
;triac.mbas,351 :: 		ZERO_CROSS_TRIS = PORT_INPUT
	BSF        TRISB0_bit+0, BitPos(TRISB0_bit+0)
;triac.mbas,352 :: 		MODE_SW_TRIS    = PORT_INPUT
	BSF        TRISB3_bit+0, BitPos(TRISB3_bit+0)
;triac.mbas,355 :: 		NOT_RBPU_bit = 1
	BSF        NOT_RBPU_bit+0, BitPos(NOT_RBPU_bit+0)
;triac.mbas,356 :: 		PCFG3_bit = 0
	BCF        PCFG3_bit+0, BitPos(PCFG3_bit+0)
;triac.mbas,357 :: 		PCFG2_bit = 1
	BSF        PCFG2_bit+0, BitPos(PCFG2_bit+0)
;triac.mbas,358 :: 		PCFG1_bit = 1
	BSF        PCFG1_bit+0, BitPos(PCFG1_bit+0)
;triac.mbas,361 :: 		PS2_bit  = 1  ' PreScaler 1:256
	BSF        PS2_bit+0, BitPos(PS2_bit+0)
;triac.mbas,362 :: 		PS1_bit  = 1  ' PreScaler 1:256
	BSF        PS1_bit+0, BitPos(PS1_bit+0)
;triac.mbas,363 :: 		PS0_bit  = 1  ' PreScaler 1:256
	BSF        PS0_bit+0, BitPos(PS0_bit+0)
;triac.mbas,364 :: 		PSA_bit  = 0  ' PreScaler assign TMR0
	BCF        PSA_bit+0, BitPos(PSA_bit+0)
;triac.mbas,365 :: 		T0IE_bit = 0  ' disable interrupt
	BCF        T0IE_bit+0, BitPos(T0IE_bit+0)
;triac.mbas,366 :: 		TMR0 = 0      '
	CLRF       TMR0+0
;triac.mbas,367 :: 		T0IF_bit = 0  ' Clear interrupt flag
	BCF        T0IF_bit+0, BitPos(T0IF_bit+0)
;triac.mbas,368 :: 		T0CS_bit = 0  ' Start Timer0
	BCF        T0CS_bit+0, BitPos(T0CS_bit+0)
;triac.mbas,371 :: 		TMR1ON_bit  = 1  ' enable TMR1(= TRIAC ON  Timer)
	BSF        TMR1ON_bit+0, BitPos(TMR1ON_bit+0)
;triac.mbas,372 :: 		PEIE_bit    = 1  ' Enable Peripheral interrupt
	BSF        PEIE_bit+0, BitPos(PEIE_bit+0)
;triac.mbas,373 :: 		TMR1IE_bit  = 0  ' disable TMR1 interrupt
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;triac.mbas,374 :: 		TMR1IF_bit  = 0  ' Clear interrupt flag
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;triac.mbas,375 :: 		T1CKPS1_bit = 0  ' set prescaler 1:1
	BCF        T1CKPS1_bit+0, BitPos(T1CKPS1_bit+0)
;triac.mbas,376 :: 		T1CKPS0_bit = 0  ' set prescaler 1:1
	BCF        T1CKPS0_bit+0, BitPos(T1CKPS0_bit+0)
;triac.mbas,377 :: 		TMR1CS_bit  = 0  ' use internal clock
	BCF        TMR1CS_bit+0, BitPos(TMR1CS_bit+0)
;triac.mbas,380 :: 		TMR2ON_bit  = 1  ' enable TMR2
	BSF        TMR2ON_bit+0, BitPos(TMR2ON_bit+0)
;triac.mbas,381 :: 		TOUTPS3_bit = 0  ' set postscaler 1:5
	BCF        TOUTPS3_bit+0, BitPos(TOUTPS3_bit+0)
;triac.mbas,382 :: 		TOUTPS2_bit = 1  ' set postscaler 1:5
	BSF        TOUTPS2_bit+0, BitPos(TOUTPS2_bit+0)
;triac.mbas,383 :: 		TOUTPS1_bit = 0  ' set postscaler 1:5
	BCF        TOUTPS1_bit+0, BitPos(TOUTPS1_bit+0)
;triac.mbas,384 :: 		TOUTPS0_bit = 0  ' set postscaler 1:5
	BCF        TOUTPS0_bit+0, BitPos(TOUTPS0_bit+0)
;triac.mbas,385 :: 		T2CKPS0_bit = 1  ' set prescaler 1:4
	BSF        T2CKPS0_bit+0, BitPos(T2CKPS0_bit+0)
;triac.mbas,386 :: 		T2CKPS1_bit = 0  ' set prescaler 1:4
	BCF        T2CKPS1_bit+0, BitPos(T2CKPS1_bit+0)
;triac.mbas,387 :: 		TMR2IE_bit  = 1  ' enable TMR2 interrupt
	BSF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
;triac.mbas,388 :: 		TMR2IF_bit  = 0  ' Clear interrupt flag
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
;triac.mbas,389 :: 		PR2 = 249 ' = 1msec period
	MOVLW      249
	MOVWF      PR2+0
;triac.mbas,391 :: 		Rotary_A_Lock = False
	CLRF       _Rotary_A_Lock+0
;triac.mbas,392 :: 		Rotary_B_Lock = False
	CLRF       _Rotary_B_Lock+0
;triac.mbas,394 :: 		DIG1_PORT = LED_OFF
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;triac.mbas,395 :: 		DIG2_PORT = LED_OFF
	BSF        RA2_bit+0, BitPos(RA2_bit+0)
;triac.mbas,396 :: 		DIG3_PORT = LED_OFF
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;triac.mbas,397 :: 		led_pos = 1
	MOVLW      1
	MOVWF      _led_pos+0
;triac.mbas,400 :: 		while(ZERO_CROSS_PORT = 0)
L__main119:
	BTFSS      RB0_bit+0, BitPos(RB0_bit+0)
	GOTO       L__main119
;triac.mbas,402 :: 		TMR1H = 0   ' rising edge
	CLRF       TMR1H+0
;triac.mbas,403 :: 		TMR1L = 0
	CLRF       TMR1L+0
;triac.mbas,404 :: 		while(ZERO_CROSS_PORT = 1)
L__main124:
	BTFSC      RB0_bit+0, BitPos(RB0_bit+0)
	GOTO       L__main124
;triac.mbas,406 :: 		while(ZERO_CROSS_PORT = 0)
L__main129:
	BTFSS      RB0_bit+0, BitPos(RB0_bit+0)
	GOTO       L__main129
;triac.mbas,409 :: 		tmrH_byte = TMR1H
	MOVF       TMR1H+0, 0
	MOVWF      main_tmrH_byte+0
;triac.mbas,410 :: 		period = tmrH_byte * 256 + tmrH_byte
	MOVF       main_tmrH_byte+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       main_tmrH_byte+0, 0
	ADDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R2+1
	MOVF       R2+0, 0
	MOVWF      main_period+0
	MOVF       R2+1, 0
	MOVWF      main_period+1
;triac.mbas,411 :: 		freq = 0
	CLRF       main_freq+0
;triac.mbas,412 :: 		if ((50000 - 500) < period) and (period < (50000 + 500)) then
	MOVF       R2+1, 0
	SUBLW      193
	BTFSS      STATUS+0, 2
	GOTO       L__main340
	MOVF       R2+0, 0
	SUBLW      92
L__main340:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVLW      197
	SUBWF      R2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main341
	MOVLW      68
	SUBWF      R2+0, 0
L__main341:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main134
;triac.mbas,413 :: 		freq = 50
	MOVLW      50
	MOVWF      main_freq+0
L__main134:
;triac.mbas,415 :: 		if ((41666 - 416) < period) and (period < (41666 + 416)) then
	MOVF       main_period+1, 0
	SUBLW      161
	BTFSS      STATUS+0, 2
	GOTO       L__main342
	MOVF       main_period+0, 0
	SUBLW      34
L__main342:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	MOVLW      164
	SUBWF      main_period+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main343
	MOVLW      98
	SUBWF      main_period+0, 0
L__main343:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main137
;triac.mbas,416 :: 		freq = 60
	MOVLW      60
	MOVWF      main_freq+0
L__main137:
;triac.mbas,419 :: 		INTCON.GIE = 1 ' Enable ALL interrupts
	BSF        INTCON+0, 7
;triac.mbas,422 :: 		sw_mode = eeprom_read(EEPADR_MODE)
	CLRF       FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _sw_mode+0
;triac.mbas,423 :: 		if MODE_SW_PORT = SW_ON then
	BTFSC      RB3_bit+0, BitPos(RB3_bit+0)
	GOTO       L__main140
;triac.mbas,424 :: 		display_mode( sw_mode )
	MOVF       _sw_mode+0, 0
	MOVWF      FARG_display_mode_mode+0
	CALL       _display_mode+0
;triac.mbas,425 :: 		while( MODE_SW_PORT = SW_ON )
L__main143:
	BTFSS      RB3_bit+0, BitPos(RB3_bit+0)
	GOTO       L__main143
;triac.mbas,427 :: 		delay_ms(20)
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L__main147:
	DECFSZ     R13+0, 1
	GOTO       L__main147
	DECFSZ     R12+0, 1
	GOTO       L__main147
	NOP
	NOP
;triac.mbas,428 :: 		while(true)
L__main149:
;triac.mbas,429 :: 		turn = rotary_encoder()
	CALL       _rotary_encoder+0
	MOVF       R0+0, 0
	MOVWF      main_turn+0
;triac.mbas,430 :: 		if (turn = CW) or (turn = CCW) then
	MOVF       R0+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R2+0
	MOVF       R0+0, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	IORWF      R2+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L__main154
;triac.mbas,432 :: 		case MODE_MOTOR   sw_mode = MODE_HEATER
	MOVF       _sw_mode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main159
	MOVLW      1
	MOVWF      _sw_mode+0
	GOTO       L__main156
L__main159:
;triac.mbas,433 :: 		case MODE_HEATER  sw_mode = MODE_SOLDER
	MOVF       _sw_mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main162
	MOVLW      2
	MOVWF      _sw_mode+0
	GOTO       L__main156
L__main162:
;triac.mbas,434 :: 		case MODE_SOLDER  sw_mode = MODE_MOTOR
	MOVF       _sw_mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main165
	CLRF       _sw_mode+0
	GOTO       L__main156
L__main165:
L__main156:
;triac.mbas,436 :: 		display_mode( sw_mode )
	MOVF       _sw_mode+0, 0
	MOVWF      FARG_display_mode_mode+0
	CALL       _display_mode+0
;triac.mbas,437 :: 		eeprom_write(EEPADR_MODE, sw_mode)
	CLRF       FARG_EEPROM_Write_address+0
	MOVF       _sw_mode+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L__main154:
;triac.mbas,439 :: 		if MODE_SW_PORT = SW_ON then
	BTFSC      RB3_bit+0, BitPos(RB3_bit+0)
	GOTO       L__main167
;triac.mbas,440 :: 		break
	GOTO       L__main150
L__main167:
;triac.mbas,442 :: 		wend
	GOTO       L__main149
L__main150:
L__main140:
;triac.mbas,446 :: 		if (sw_mode <> MODE_HEATER) and
	MOVF       _sw_mode+0, 0
	XORLW      1
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
;triac.mbas,447 :: 		(sw_mode <> MODE_SOLDER) and
	MOVF       _sw_mode+0, 0
	XORLW      2
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
;triac.mbas,448 :: 		(sw_mode <> MODE_MOTOR) then
	MOVF       _sw_mode+0, 0
	XORLW      0
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main170
;triac.mbas,449 :: 		sw_mode = MODE_MOTOR
	CLRF       _sw_mode+0
;triac.mbas,450 :: 		eeprom_write(EEPADR_MODE, sw_mode)
	CLRF       FARG_EEPROM_Write_address+0
	CLRF       FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L__main170:
;triac.mbas,453 :: 		if (sw_mode = MODE_HEATER) or (sw_mode = MODE_SOLDER) then
	MOVF       _sw_mode+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _sw_mode+0, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	IORWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main173
;triac.mbas,454 :: 		mode_cycle = OFF_CYCLE
	MOVLW      1
	MOVWF      _mode_cycle+0
;triac.mbas,455 :: 		cycle_counter = 1
	MOVLW      1
	MOVWF      _cycle_counter+0
L__main173:
;triac.mbas,458 :: 		if sw_mode = MODE_SOLDER then
	MOVF       _sw_mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main176
;triac.mbas,459 :: 		duty = eeprom_read(EEPADR_SOLDER_DUTY)
	MOVLW      1
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      _duty+0
;triac.mbas,461 :: 		if duty > 100 then
	MOVF       R0+0, 0
	SUBLW      100
	BTFSC      STATUS+0, 0
	GOTO       L__main179
;triac.mbas,462 :: 		duty = 100
	MOVLW      100
	MOVWF      _duty+0
;triac.mbas,463 :: 		eeprom_write( EEPADR_SOLDER_DUTY, duty )
	MOVLW      1
	MOVWF      FARG_EEPROM_Write_address+0
	MOVLW      100
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L__main179:
;triac.mbas,465 :: 		if duty = 100 then
	MOVF       _duty+0, 0
	XORLW      100
	BTFSS      STATUS+0, 2
	GOTO       L__main182
;triac.mbas,466 :: 		TRIAC_PORT = 1
	BSF        RB1_bit+0, BitPos(RB1_bit+0)
L__main182:
;triac.mbas,468 :: 		on_count  = (duty / 5) * 2
	MOVLW      5
	MOVWF      R4+0
	MOVF       _duty+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	RLF        R1+0, 1
	BCF        R1+0, 0
	MOVF       R1+0, 0
	MOVWF      _on_count+0
;triac.mbas,469 :: 		off_count = 40 - on_count
	MOVF       R1+0, 0
	SUBLW      40
	MOVWF      _off_count+0
	GOTO       L__main177
;triac.mbas,470 :: 		else
L__main176:
;triac.mbas,471 :: 		duty = 0
	CLRF       _duty+0
;triac.mbas,472 :: 		end if
L__main177:
;triac.mbas,475 :: 		case 0
	MOVF       main_freq+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main187
;triac.mbas,476 :: 		led_val1 = Digit_E
	MOVLW      134
	MOVWF      _led_val1+0
;triac.mbas,477 :: 		led_val2 = Digit_NON
	MOVLW      255
	MOVWF      _led_val2+0
;triac.mbas,478 :: 		led_val3 = Digit_NON
	MOVLW      255
	MOVWF      _led_val3+0
;triac.mbas,479 :: 		while(true)
L__main189:
	GOTO       L__main189
;triac.mbas,480 :: 		wend
L__main187:
;triac.mbas,481 :: 		case 50
	MOVF       main_freq+0, 0
	XORLW      50
	BTFSS      STATUS+0, 2
	GOTO       L__main195
;triac.mbas,482 :: 		led_val1 = Digit_5
	MOVLW      146
	MOVWF      _led_val1+0
;triac.mbas,483 :: 		led_val2 = Digit_0
	MOVLW      192
	MOVWF      _led_val2+0
;triac.mbas,484 :: 		led_val3 = Digit_H
	MOVLW      137
	MOVWF      _led_val3+0
	GOTO       L__main184
L__main195:
;triac.mbas,485 :: 		case 60
	MOVF       main_freq+0, 0
	XORLW      60
	BTFSS      STATUS+0, 2
	GOTO       L__main198
;triac.mbas,486 :: 		led_val1 = Digit_6
	MOVLW      130
	MOVWF      _led_val1+0
;triac.mbas,487 :: 		led_val2 = Digit_0
	MOVLW      192
	MOVWF      _led_val2+0
;triac.mbas,488 :: 		led_val3 = Digit_H
	MOVLW      137
	MOVWF      _led_val3+0
	GOTO       L__main184
L__main198:
L__main184:
;triac.mbas,491 :: 		delay_ms(500)
	MOVLW      13
	MOVWF      R11+0
	MOVLW      175
	MOVWF      R12+0
	MOVLW      182
	MOVWF      R13+0
L__main199:
	DECFSZ     R13+0, 1
	GOTO       L__main199
	DECFSZ     R12+0, 1
	GOTO       L__main199
	DECFSZ     R11+0, 1
	GOTO       L__main199
	NOP
;triac.mbas,492 :: 		display_mode( sw_mode )
	MOVF       _sw_mode+0, 0
	MOVWF      FARG_display_mode_mode+0
	CALL       _display_mode+0
;triac.mbas,493 :: 		delay_ms(500)
	MOVLW      13
	MOVWF      R11+0
	MOVLW      175
	MOVWF      R12+0
	MOVLW      182
	MOVWF      R13+0
L__main200:
	DECFSZ     R13+0, 1
	GOTO       L__main200
	DECFSZ     R12+0, 1
	GOTO       L__main200
	DECFSZ     R11+0, 1
	GOTO       L__main200
	NOP
;triac.mbas,495 :: 		display_number(duty)
	MOVF       _duty+0, 0
	MOVWF      FARG_display_number_num+0
	CALL       _display_number+0
;triac.mbas,498 :: 		INTEDG_bit = 1 ' interrupt on rising edge
	BSF        INTEDG_bit+0, BitPos(INTEDG_bit+0)
;triac.mbas,499 :: 		if (duty <> 0) and (duty <> 100) then
	MOVF       _duty+0, 0
	XORLW      0
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _duty+0, 0
	XORLW      100
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main202
;triac.mbas,500 :: 		INTE_bit   = 1 ' enable RB0 interrupt
	BSF        INTE_bit+0, BitPos(INTE_bit+0)
L__main202:
;triac.mbas,504 :: 		while(TRUE)
L__main205:
;triac.mbas,505 :: 		turn = rotary_encoder()
	CALL       _rotary_encoder+0
	MOVF       R0+0, 0
	MOVWF      main_turn+0
;triac.mbas,506 :: 		if turn = CW then
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main210
;triac.mbas,507 :: 		if duty < 100 then
	MOVLW      100
	SUBWF      _duty+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main213
;triac.mbas,509 :: 		case MODE_MOTOR
	MOVF       _sw_mode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main218
;triac.mbas,510 :: 		duty = duty + 5
	MOVLW      5
	ADDWF      _duty+0, 1
	GOTO       L__main215
L__main218:
;triac.mbas,511 :: 		case MODE_HEATER
	MOVF       _sw_mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main221
;triac.mbas,513 :: 		case   0 duty = 20  on_count = 1  off_count = 4
	MOVF       _duty+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main225
	MOVLW      20
	MOVWF      _duty+0
	MOVLW      1
	MOVWF      _on_count+0
	MOVLW      4
	MOVWF      _off_count+0
	GOTO       L__main222
L__main225:
;triac.mbas,514 :: 		case  20 duty = 33  on_count = 1  off_count = 2
	MOVF       _duty+0, 0
	XORLW      20
	BTFSS      STATUS+0, 2
	GOTO       L__main228
	MOVLW      33
	MOVWF      _duty+0
	MOVLW      1
	MOVWF      _on_count+0
	MOVLW      2
	MOVWF      _off_count+0
	GOTO       L__main222
L__main228:
;triac.mbas,515 :: 		case  33 duty = 50  on_count = 2  off_count = 2
	MOVF       _duty+0, 0
	XORLW      33
	BTFSS      STATUS+0, 2
	GOTO       L__main231
	MOVLW      50
	MOVWF      _duty+0
	MOVLW      2
	MOVWF      _on_count+0
	MOVLW      2
	MOVWF      _off_count+0
	GOTO       L__main222
L__main231:
;triac.mbas,516 :: 		case  50 duty = 66  on_count = 2  off_count = 1
	MOVF       _duty+0, 0
	XORLW      50
	BTFSS      STATUS+0, 2
	GOTO       L__main234
	MOVLW      66
	MOVWF      _duty+0
	MOVLW      2
	MOVWF      _on_count+0
	MOVLW      1
	MOVWF      _off_count+0
	GOTO       L__main222
L__main234:
;triac.mbas,517 :: 		case  66 duty = 80  on_count = 4  off_count = 1
	MOVF       _duty+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L__main237
	MOVLW      80
	MOVWF      _duty+0
	MOVLW      4
	MOVWF      _on_count+0
	MOVLW      1
	MOVWF      _off_count+0
	GOTO       L__main222
L__main237:
;triac.mbas,518 :: 		case  80 duty = 100
	MOVF       _duty+0, 0
	XORLW      80
	BTFSS      STATUS+0, 2
	GOTO       L__main240
	MOVLW      100
	MOVWF      _duty+0
	GOTO       L__main222
L__main240:
L__main222:
;triac.mbas,519 :: 		end select
	GOTO       L__main215
L__main221:
;triac.mbas,520 :: 		case MODE_SOLDER
	MOVF       _sw_mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main243
;triac.mbas,521 :: 		duty = duty + 5
	MOVLW      5
	ADDWF      _duty+0, 0
	MOVWF      FLOC__main+0
	MOVF       FLOC__main+0, 0
	MOVWF      _duty+0
;triac.mbas,522 :: 		on_count  = (duty / 5) * 2
	MOVLW      5
	MOVWF      R4+0
	MOVF       FLOC__main+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	RLF        R1+0, 1
	BCF        R1+0, 0
	MOVF       R1+0, 0
	MOVWF      _on_count+0
;triac.mbas,523 :: 		off_count = 40 - on_count
	MOVF       R1+0, 0
	SUBLW      40
	MOVWF      _off_count+0
;triac.mbas,524 :: 		eeprom_write( EEPADR_SOLDER_DUTY, duty )
	MOVLW      1
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       FLOC__main+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
	GOTO       L__main215
L__main243:
L__main215:
;triac.mbas,525 :: 		end select
L__main213:
;triac.mbas,527 :: 		if duty = 100 then
	MOVF       _duty+0, 0
	XORLW      100
	BTFSS      STATUS+0, 2
	GOTO       L__main245
;triac.mbas,528 :: 		INTE_bit   = 0  ' disable RB0 interrupt
	BCF        INTE_bit+0, BitPos(INTE_bit+0)
;triac.mbas,529 :: 		INTF_bit   = 0  ' clear RB0 interrupt
	BCF        INTF_bit+0, BitPos(INTF_bit+0)
;triac.mbas,530 :: 		TMR1IE_bit = 0
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;triac.mbas,531 :: 		TMR1IF_bit = 0
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;triac.mbas,532 :: 		TRIAC_PORT = TRIAC_ON  ' TRIAC always on
	BSF        RB1_bit+0, BitPos(RB1_bit+0)
	GOTO       L__main246
;triac.mbas,533 :: 		else
L__main245:
;triac.mbas,534 :: 		if sw_mode = MODE_MOTOR then
	MOVF       _sw_mode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main248
;triac.mbas,535 :: 		calc_tmr( duty, freq )
	MOVF       _duty+0, 0
	MOVWF      FARG_calc_tmr_duty+0
	MOVF       main_freq+0, 0
	MOVWF      FARG_calc_tmr_freq+0
	CALL       _calc_tmr+0
L__main248:
;triac.mbas,537 :: 		INTF_bit   = 0  ' clear RB0 interrupt
	BCF        INTF_bit+0, BitPos(INTF_bit+0)
;triac.mbas,538 :: 		INTE_bit   = 1  ' enable RB0 interrupt
	BSF        INTE_bit+0, BitPos(INTE_bit+0)
;triac.mbas,539 :: 		end if
L__main246:
;triac.mbas,540 :: 		display_number(duty)
	MOVF       _duty+0, 0
	MOVWF      FARG_display_number_num+0
	CALL       _display_number+0
;triac.mbas,541 :: 		soldering_timer = 0
	CLRF       _soldering_timer+0
;triac.mbas,542 :: 		soldering_timer_enable = false
	CLRF       _soldering_timer_enable+0
L__main210:
;triac.mbas,544 :: 		if turn = CCW then
	MOVF       main_turn+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main251
;triac.mbas,545 :: 		if 0 < duty then
	MOVF       _duty+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L__main254
;triac.mbas,547 :: 		case MODE_MOTOR
	MOVF       _sw_mode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main259
;triac.mbas,548 :: 		duty = duty - 5
	MOVLW      5
	SUBWF      _duty+0, 1
	GOTO       L__main256
L__main259:
;triac.mbas,549 :: 		case MODE_HEATER
	MOVF       _sw_mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main262
;triac.mbas,551 :: 		case  20 duty =  0
	MOVF       _duty+0, 0
	XORLW      20
	BTFSS      STATUS+0, 2
	GOTO       L__main266
	CLRF       _duty+0
	GOTO       L__main263
L__main266:
;triac.mbas,552 :: 		case  33 duty = 20 on_count = 1  off_count = 4
	MOVF       _duty+0, 0
	XORLW      33
	BTFSS      STATUS+0, 2
	GOTO       L__main269
	MOVLW      20
	MOVWF      _duty+0
	MOVLW      1
	MOVWF      _on_count+0
	MOVLW      4
	MOVWF      _off_count+0
	GOTO       L__main263
L__main269:
;triac.mbas,553 :: 		case  50 duty = 33 on_count = 1  off_count = 2
	MOVF       _duty+0, 0
	XORLW      50
	BTFSS      STATUS+0, 2
	GOTO       L__main272
	MOVLW      33
	MOVWF      _duty+0
	MOVLW      1
	MOVWF      _on_count+0
	MOVLW      2
	MOVWF      _off_count+0
	GOTO       L__main263
L__main272:
;triac.mbas,554 :: 		case  66 duty = 50 on_count = 2  off_count = 2
	MOVF       _duty+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L__main275
	MOVLW      50
	MOVWF      _duty+0
	MOVLW      2
	MOVWF      _on_count+0
	MOVLW      2
	MOVWF      _off_count+0
	GOTO       L__main263
L__main275:
;triac.mbas,555 :: 		case  80 duty = 66 on_count = 2  off_count = 1
	MOVF       _duty+0, 0
	XORLW      80
	BTFSS      STATUS+0, 2
	GOTO       L__main278
	MOVLW      66
	MOVWF      _duty+0
	MOVLW      2
	MOVWF      _on_count+0
	MOVLW      1
	MOVWF      _off_count+0
	GOTO       L__main263
L__main278:
;triac.mbas,556 :: 		case 100 duty = 80 on_count = 4  off_count = 1
	MOVF       _duty+0, 0
	XORLW      100
	BTFSS      STATUS+0, 2
	GOTO       L__main281
	MOVLW      80
	MOVWF      _duty+0
	MOVLW      4
	MOVWF      _on_count+0
	MOVLW      1
	MOVWF      _off_count+0
	GOTO       L__main263
L__main281:
L__main263:
;triac.mbas,557 :: 		end select
	GOTO       L__main256
L__main262:
;triac.mbas,558 :: 		case MODE_SOLDER
	MOVF       _sw_mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main284
;triac.mbas,559 :: 		duty = duty - 5
	MOVLW      5
	SUBWF      _duty+0, 0
	MOVWF      FLOC__main+0
	MOVF       FLOC__main+0, 0
	MOVWF      _duty+0
;triac.mbas,560 :: 		on_count  = (duty / 5) * 2
	MOVLW      5
	MOVWF      R4+0
	MOVF       FLOC__main+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	RLF        R1+0, 1
	BCF        R1+0, 0
	MOVF       R1+0, 0
	MOVWF      _on_count+0
;triac.mbas,561 :: 		off_count = 40 - on_count
	MOVF       R1+0, 0
	SUBLW      40
	MOVWF      _off_count+0
;triac.mbas,562 :: 		eeprom_write( EEPADR_SOLDER_DUTY, duty )
	MOVLW      1
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       FLOC__main+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
	GOTO       L__main256
L__main284:
L__main256:
;triac.mbas,563 :: 		end select
L__main254:
;triac.mbas,565 :: 		if duty = 0 then
	MOVF       _duty+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main286
;triac.mbas,566 :: 		INTE_bit   = 0  ' disable RB0 interrupt
	BCF        INTE_bit+0, BitPos(INTE_bit+0)
;triac.mbas,567 :: 		INTF_bit   = 0  ' clear RB0 interrupt
	BCF        INTF_bit+0, BitPos(INTF_bit+0)
;triac.mbas,568 :: 		TMR1IE_bit = 0
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;triac.mbas,569 :: 		TMR1IF_bit = 0
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;triac.mbas,570 :: 		TRIAC_PORT = TRIAC_OFF  ' TRIAC always off
	BCF        RB1_bit+0, BitPos(RB1_bit+0)
	GOTO       L__main287
;triac.mbas,571 :: 		else
L__main286:
;triac.mbas,572 :: 		if sw_mode = MODE_MOTOR then
	MOVF       _sw_mode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main289
;triac.mbas,573 :: 		calc_tmr( duty, freq )
	MOVF       _duty+0, 0
	MOVWF      FARG_calc_tmr_duty+0
	MOVF       main_freq+0, 0
	MOVWF      FARG_calc_tmr_freq+0
	CALL       _calc_tmr+0
L__main289:
;triac.mbas,575 :: 		INTF_bit   = 0  ' clear RB0 interrupt
	BCF        INTF_bit+0, BitPos(INTF_bit+0)
;triac.mbas,576 :: 		INTE_bit   = 1  ' enable RB0 interrupt
	BSF        INTE_bit+0, BitPos(INTE_bit+0)
;triac.mbas,577 :: 		end if
L__main287:
;triac.mbas,578 :: 		display_number(duty)
	MOVF       _duty+0, 0
	MOVWF      FARG_display_number_num+0
	CALL       _display_number+0
;triac.mbas,579 :: 		soldering_timer = 0
	CLRF       _soldering_timer+0
;triac.mbas,580 :: 		soldering_timer_enable = false
	CLRF       _soldering_timer_enable+0
L__main251:
;triac.mbas,584 :: 		if sw_mode = MODE_SOLDER then
	MOVF       _sw_mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main292
;triac.mbas,585 :: 		if MODE_SW_PORT = SW_ON then
	BTFSC      RB3_bit+0, BitPos(RB3_bit+0)
	GOTO       L__main295
;triac.mbas,586 :: 		if duty <> 100 then
	MOVF       _duty+0, 0
	XORLW      100
	BTFSC      STATUS+0, 2
	GOTO       L__main298
;triac.mbas,587 :: 		if soldering_timer_enable then
	MOVF       _soldering_timer_enable+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main301
;triac.mbas,588 :: 		soldering_timer = 0
	CLRF       _soldering_timer+0
	GOTO       L__main302
;triac.mbas,589 :: 		else
L__main301:
;triac.mbas,590 :: 		soldering_timer_enable = true
	MOVLW      255
	MOVWF      _soldering_timer_enable+0
;triac.mbas,591 :: 		soldering_timer = 30
	MOVLW      30
	MOVWF      _soldering_timer+0
;triac.mbas,592 :: 		display_number(soldering_timer)
	MOVLW      30
	MOVWF      FARG_display_number_num+0
	CALL       _display_number+0
;triac.mbas,593 :: 		tick = false
	CLRF       _tick+0
;triac.mbas,594 :: 		msec_counter = 1000
	MOVLW      232
	MOVWF      _msec_counter+0
	MOVLW      3
	MOVWF      _msec_counter+1
;triac.mbas,595 :: 		INTF_bit   = 0  ' clear RB0 interrupt
	BCF        INTF_bit+0, BitPos(INTF_bit+0)
;triac.mbas,596 :: 		INTE_bit   = 0  ' disable RB0 interrupt
	BCF        INTE_bit+0, BitPos(INTE_bit+0)
;triac.mbas,597 :: 		TRIAC_PORT = TRIAC_ON  ' TRIAC always on
	BSF        RB1_bit+0, BitPos(RB1_bit+0)
;triac.mbas,598 :: 		end if
L__main302:
L__main298:
;triac.mbas,600 :: 		delay_ms(5)
	MOVLW      33
	MOVWF      R12+0
	MOVLW      118
	MOVWF      R13+0
L__main303:
	DECFSZ     R13+0, 1
	GOTO       L__main303
	DECFSZ     R12+0, 1
	GOTO       L__main303
	NOP
;triac.mbas,601 :: 		while( MODE_SW_PORT = SW_ON )
L__main305:
	BTFSS      RB3_bit+0, BitPos(RB3_bit+0)
	GOTO       L__main305
;triac.mbas,603 :: 		delay_ms(5)
	MOVLW      33
	MOVWF      R12+0
	MOVLW      118
	MOVWF      R13+0
L__main309:
	DECFSZ     R13+0, 1
	GOTO       L__main309
	DECFSZ     R12+0, 1
	GOTO       L__main309
	NOP
L__main295:
;triac.mbas,605 :: 		if soldering_timer_enable then
	MOVF       _soldering_timer_enable+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main311
;triac.mbas,606 :: 		if tick then
	MOVF       _tick+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main314
;triac.mbas,607 :: 		if 0 < soldering_timer then
	MOVF       _soldering_timer+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L__main317
;triac.mbas,608 :: 		soldering_timer = soldering_timer - 1
	DECF       _soldering_timer+0, 1
;triac.mbas,609 :: 		display_number(soldering_timer)
	MOVF       _soldering_timer+0, 0
	MOVWF      FARG_display_number_num+0
	CALL       _display_number+0
	GOTO       L__main318
;triac.mbas,610 :: 		else
L__main317:
;triac.mbas,611 :: 		soldering_timer_enable = false
	CLRF       _soldering_timer_enable+0
;triac.mbas,612 :: 		INTF_bit   = 0  ' clear RB0 interrupt
	BCF        INTF_bit+0, BitPos(INTF_bit+0)
;triac.mbas,613 :: 		INTE_bit   = 1  ' enable RB0 interrupt
	BSF        INTE_bit+0, BitPos(INTE_bit+0)
;triac.mbas,614 :: 		display_number(duty)
	MOVF       _duty+0, 0
	MOVWF      FARG_display_number_num+0
	CALL       _display_number+0
;triac.mbas,615 :: 		end if
L__main318:
;triac.mbas,616 :: 		tick = false
	CLRF       _tick+0
L__main314:
;triac.mbas,617 :: 		end if
L__main311:
;triac.mbas,618 :: 		end if
L__main292:
;triac.mbas,620 :: 		wend
	GOTO       L__main205
L_end_main:
	GOTO       $+0
; end of _main
